Bug 981140 - pmchart can't select nor close a chart that has no plots
pmchart can't select nor close a chart that has no plots
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: pcp-gui (Show other bugs)
el6
Unspecified Linux
low Severity low
: ---
: ---
Assigned To: Nathan Scott
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-04 02:18 EDT by Mark Goodwin
Modified: 2013-11-10 21:37 EST (History)
2 users (show)

See Also:
Fixed In Version: pcp-gui-1.5.9-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-02 18:05:36 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Goodwin 2013-07-04 02:18:21 EDT
Description of problem: in archive mode, loading a view containing metrics that are not present in the archive pops up a warning that the metrics are unknown (that's good), but pmchart creates a blank chart anyway, with no plots. This chart cannot be selected and cannot be closed unless it is the last remaining chart after closing all of the others.

Version-Release number of selected component (if applicable):
pcp-gui-1.5.9-1.x86_64

How reproducible: always
Steps to Reproduce: as per description above
Comment 1 Nathan Scott 2013-07-25 23:37:52 EDT
Fixed in upstream git commit f6e4553a458ddecc85fc477926ff66b3f1fae97e.
Comment 2 Fedora Update System 2013-07-28 04:36:23 EDT
pcp-gui-1.5.9-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc19
Comment 3 Fedora Update System 2013-07-28 04:50:09 EDT
pcp-gui-1.5.9-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc18
Comment 4 Fedora Update System 2013-07-28 04:51:26 EDT
pcp-gui-1.5.9-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.fc17
Comment 5 Fedora Update System 2013-07-28 04:52:28 EDT
pcp-gui-1.5.9-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.9-1.el6
Comment 6 Fedora Update System 2013-07-28 17:09:58 EDT
Package pcp-gui-1.5.9-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing pcp-gui-1.5.9-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-11018/pcp-gui-1.5.9-1.el6
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-08-02 18:05:36 EDT
pcp-gui-1.5.9-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2013-08-16 13:09:36 EDT
pcp-gui-1.5.9-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-09-15 06:24:40 EDT
pcp-gui-1.5.10-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.10-1.fc18
Comment 10 Fedora Update System 2013-11-01 01:20:05 EDT
pcp-gui-1.5.11-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pcp-gui-1.5.11-1.fc18
Comment 11 Fedora Update System 2013-11-10 21:37:12 EST
pcp-gui-1.5.11-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.